import java.awt.*;
import java.applet.*;

public class AllEventsFrame extends AllComponentsFrame {
        
        public AllEventsFrame (String title) {
                super (title);
        }

        public void init () {
                super.init();
                startText();
		this.setSize(640,480);
		this.show();
        }

        public void startText () {
                area.setText("This TextArea will show you the events.\n");
        }

        public boolean handleEvent (Event event) {
                switch (event.id) {
                        case Event.ACTION_EVENT:
                                if (event.target == text) {
                                        area.appendText("You typed \""+(String)event.arg+"\".\n");
                                }
                                else if ((event.target == choice1) ||
                                        (event.target == choice2)) {
                                        area.appendText("You chose \""+(String)event.arg+"\".\n");
                                }
                                else if ((event.target == box1) ||
                                        (event.target == box2) ||
                                        (event.target == box3)) {
                                        area.appendText("You chose \""+group.getCurrent().getLabel()+"\".\n");
                                }
                                else if (event.target == box4) {
                                        area.appendText("You chose \"Gisela\".\n");
                                }
                                else if (event.target == box5) {
                                        area.appendText("You chose \"Zelda\".\n");
                                }
                                else if (event.target == list) {
                                        area.appendText("You double-clicked on \""+(String)event.arg+"\".\n");
                                }
                                else if (event.target == button) {
                                        area.appendText("You clicked on the button.\n");
                                }
                                else if (event.target instanceof MenuItem) {
                                        area.appendText("You selected \""+(String)event.arg+"\".\n");
                                }
                                else {
                                        area.appendText("Unknown ACTION_EVENT\n");
                                }
                                break;
                        case Event.LIST_SELECT:
                                area.appendText("You selected \""+list.getItem(((Integer)event.arg).intValue())+"\".\n");
                                break;
                        case Event.LIST_DESELECT:
                                area.appendText("You selected \""+list.getItem(((Integer)event.arg).intValue())+"\".\n");
                                break;
                        case Event.WINDOW_DESTROY:
                                area.appendText("Window destroy.\n");
                                break;
                        case Event.WINDOW_ICONIFY:
                                area.appendText("Window iconify.\n");
                                break;
                        case Event.WINDOW_DEICONIFY:
                                area.appendText("Window deiconify.\n");
                                break;
                        case Event.WINDOW_MOVED:
                                area.appendText("Window moved.\n");
                                break;
                        case Event.MOUSE_DOWN:
                                area.appendText("Mouse button down at ("+event.x+","+event.y+").\n");
                                break;
                        case Event.MOUSE_UP:
                                area.appendText("Mouse button up at ("+event.x+","+event.y+").\n");
                                break;
                        case Event.MOUSE_DRAG:
                                area.appendText("Mouse drag at ("+event.x+","+event.y+").\n");
                                break;
                        case Event.KEY_PRESS:
                                area.appendText("Pressed ASCII "+event.key+".\n");
                                break;
                        case Event.KEY_RELEASE:
                                area.appendText("Released ASCII "+event.key+".\n");
                                break;
                        case Event.KEY_ACTION:
                                area.appendText("Pressed \""+decodeKey(event.key)+"\".\n");
                                break;
                        case Event.KEY_ACTION_RELEASE:
                                area.appendText("Released \""+decodeKey(event.key)+"\".\n");
                                break;
                        //default:
                        //        area.appendText("Unknown event.\n");
                }
                return true;
        }

        public String decodeKey (int key) {
                switch (key) {
                        case Event.HOME:
                                return "Home";
                        case Event.END:
                                return "End";
                        case Event.PGUP:
                                return "Page Up";
                        case Event.PGDN:
                                return "Page Down";
                        case Event.UP:
                                return "Up Cursor";
                        case Event.DOWN:
                                return "Down Cursor";
                        case Event.LEFT:
                                return "Left Cursor";
                        case Event.RIGHT:
                                return "Right Cursor";
                        case Event.F1:
                                return "F1";
                        case Event.F2:
                                return "F2";
                        case Event.F3:
                                return "F3";
                        case Event.F4:
                                return "F4";
                        case Event.F5:
                                return "F5";
                        case Event.F6:
                                return "F6";
                        case Event.F7:
                                return "F7";
                        case Event.F8:
                                return "F8";
                        case Event.F9:
                                return "F9";
                        case Event.F10:
                                return "F10";
                        case Event.F11:
                                return "F11";
                        case Event.F12:
                                return "F12";
                        default:
                                return "Unknown";
                }
        }
	public static void main(String[] args) {
		AllEventsFrame test = new AllEventsFrame("AllEventsFrame");
	}
}